ESP8266 v1.8 BETA

Awatar użytkownika
slawek
Posty: 2225
Rejestracja: pn mar 14, 2016 11:48 pm
Lokalizacja: Biała Podlaska

sob paź 01, 2016 7:29 pm

Mam też problem z kompilacją z rs_module w 1.8-BETA:
Załączniki
Błąd.png
Błąd.png (56.97 KiB) Przejrzano 1975 razy
Gdy wszystkie możliwe sposoby zawiodą - pozostaje przeczytać instrukcję...
Awatar użytkownika
pzygmunt
Posty: 8467
Rejestracja: wt sty 19, 2016 9:26 am
Lokalizacja: Paczków
Kontaktowanie:

ndz paź 02, 2016 9:11 am

rs module jeszcze nie jest zaimplementowany w tej
wersji. Jutro będzie dostępny
Awatar użytkownika
pzygmunt
Posty: 8467
Rejestracja: wt sty 19, 2016 9:26 am
Lokalizacja: Paczków
Kontaktowanie:

pn paź 03, 2016 10:50 am

Zybi pisze:
pzygmunt pisze:Jak jest gdzieś błąd to może być ruletka tak więc w poprzedniej wersji błąd również może być tylko ta kolejna go "obnaża". Jutro to przetestuję.
Jak przy resecie dostajesz jakieś "krzaki", a najlepiej call stack to wyślij mi info + obj-dump-a Twojej kompilacji.

xtensa-lx106-elf/bin/xtensa-lx106-elf-objdump -S ./.output/eagle/debug/image/eagle.app.v6.out
Czy o te pliki chodzi?
Wklej tekst który jest wynikiem kompilacji i występuje po
"mkdir -p /hdd2/Espressif/ESP8266_BIN154/upgrade"

cała końcówka.
Awatar użytkownika
pzygmunt
Posty: 8467
Rejestracja: wt sty 19, 2016 9:26 am
Lokalizacja: Paczków
Kontaktowanie:

pn paź 03, 2016 11:41 am

Skompilowałem. Działa. Spróbuj wyczyścić flash. Może jakieś śmieci tam były. Usuń też ICACHE_FLASH_ATTR z lightswith.c
Zybi
Posty: 1451
Rejestracja: ndz cze 26, 2016 4:24 pm

pn paź 03, 2016 2:14 pm

pzygmunt pisze:Skompilowałem. Działa. Spróbuj wyczyścić flash. Może jakieś śmieci tam były. Usuń też ICACHE_FLASH_ATTR z lightswith.c
Wystaw tę kompilację jako załącznik do posta lub na Github-ie, to sobie wgram do swoich płytek, w taki sam sposób jak to zwykle robię. Będę miał wówczas porównanie, gdzie szukać przyczyn moich problemów.
Zybi
Posty: 1451
Rejestracja: ndz cze 26, 2016 4:24 pm

pn paź 03, 2016 4:41 pm

pzygmunt pisze:
Zybi pisze:
pzygmunt pisze:Jak jest gdzieś błąd to może być ruletka tak więc w poprzedniej wersji błąd również może być tylko ta kolejna go "obnaża". Jutro to przetestuję.
Jak przy resecie dostajesz jakieś "krzaki", a najlepiej call stack to wyślij mi info + obj-dump-a Twojej kompilacji.

xtensa-lx106-elf/bin/xtensa-lx106-elf-objdump -S ./.output/eagle/debug/image/eagle.app.v6.out
Czy o te pliki chodzi?
Wklej tekst który jest wynikiem kompilacji i występuje po
"mkdir -p /hdd2/Espressif/ESP8266_BIN154/upgrade"

cała końcówka.

Kod: Zaznacz cały

t/eagle/debug/image/eagle.app.v6.out 
mkdir -p /home/supla/Devel/Espressif/ESP8266_NONOS_SDK154/bin/upgrade

!!!
SDK_PATH: /home/supla/Devel/Espressif/ESP8266_NONOS_SDK154

-688598912
688598911
Support boot_v1.2 and +
Generate user1.1024.new.2.bin successully in folder bin/upgrade.
boot.bin------------>0x00000
user1.1024.new.2.bin--->0x01000
!!!
Awatar użytkownika
pzygmunt
Posty: 8467
Rejestracja: wt sty 19, 2016 9:26 am
Lokalizacja: Paczków
Kontaktowanie:

pn paź 03, 2016 5:02 pm

slawek pisze:Mam też problem z kompilacją z rs_module w 1.8-BETA:
Wrzuciłem na githuba wersję z rs_module
Awatar użytkownika
pzygmunt
Posty: 8467
Rejestracja: wt sty 19, 2016 9:26 am
Lokalizacja: Paczków
Kontaktowanie:

pn paź 03, 2016 5:05 pm

Zybi pisze:
pzygmunt pisze:Skompilowałem. Działa. Spróbuj wyczyścić flash. Może jakieś śmieci tam były. Usuń też ICACHE_FLASH_ATTR z lightswith.c
Wystaw tę kompilację jako załącznik do posta lub na Github-ie, to sobie wgram do swoich płytek, w taki sam sposób jak to zwykle robię. Będę miał wówczas porównanie, gdzie szukać przyczyn moich problemów.
W załączniku. Wrzuciłem Twoje pliki również na githuba
Załączniki
lightswitch_x2_4096.zip
(207.36 KiB) Pobrany 87 razy
lightswitch_x2_1024.zip
(207.06 KiB) Pobrany 83 razy
Zybi
Posty: 1451
Rejestracja: ndz cze 26, 2016 4:24 pm

pn paź 03, 2016 7:44 pm

Przemek, Twoja kompilacja na flash 4MB działa bezbłędnie, a moja niestety w dalszym ciągu nie. Próbowałem już wszystkie możliwe przypadki, ale przynajmniej wiem, że wgrywam wszystko poprawnie. Ostatnio "mocno" zaktualizował mi się Debian, czy możliwe jest, że jakaś biblioteka została podmieniona i z tego powodu mam takie problemy?

Dal tych co nie wiedzą podaję parametry z jakimi trzeba wgrywać soft do modułu z flashem 4MB
Załączniki
Flash_4MB.jpg
Flash_4MB.jpg (144.03 KiB) Przejrzano 1906 razy
Awatar użytkownika
pzygmunt
Posty: 8467
Rejestracja: wt sty 19, 2016 9:26 am
Lokalizacja: Paczków
Kontaktowanie:

wt paź 04, 2016 8:03 am

Raczej szukałbym jakiś równic w SDK. Mogę ewentualnie wrzucić gdzieś moje SDK dla porównania.
ODPOWIEDZ